Resume Watch
curl --request POST \
--url https://api.signa.so/v1/watches/{id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.signa.so/v1/watches/{id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.signa.so/v1/watches/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wat_8kLm2nPq",
"object": "watch",
"name": "Class 9 filings (US/EU)",
"watch_type": "class",
"status": "active",
"alert_count_24h": 2,
"last_alerted_at": "2026-07-05T09:12:00.000Z",
"updated_at": "2026-07-06T08:31:00.000Z",
"request_id": "req_4tYpL2Qn"
}
Watches
Resume Watch
Resume a paused watch
POST
/
v1
/
watches
/
{id}
/
resume
Resume Watch
Overview
Requires theportfolios:manage scope.
Path Parameters
string
required
Watch ID (
wat_*).Response
Returns the updatedWatch with status: "active".
Errors
| Status | type | When |
|---|---|---|
| 404 | not_found | Watch doesn’t exist or belongs to another org |
Code Examples
curl -X POST "https://api.signa.so/v1/watches/wat_8kLm2nPq/resume" \
-H "Authorization: Bearer sig_YOUR_KEY" \
-H "Idempotency-Key: resume-wat-8kLm2nPq-2026-06-12"
import { Signa } from "@signa-so/sdk";
const signa = new Signa({ api_key: process.env.SIGNA_API_KEY });
await signa.watches.resume("wat_8kLm2nPq");
{
"id": "wat_8kLm2nPq",
"object": "watch",
"name": "Class 9 filings (US/EU)",
"watch_type": "class",
"status": "active",
"alert_count_24h": 2,
"last_alerted_at": "2026-07-05T09:12:00.000Z",
"updated_at": "2026-07-06T08:31:00.000Z",
"request_id": "req_4tYpL2Qn"
}
Related Endpoints
- Pause Watch - stop evaluation without deleting the watch
- Update Watch - the same status change via
PATCH
⌘I